# macop.utils.progress — macop v1.0.5 documentation

# macop.utils.progress

Utils progress macop module when verbose enable

Functions

`macop_line`(algo) | Macop split line
`macop_progress`(algo, evaluations, max) | Progress line of macop
`macop_text`(algo, msg) | Display Macop message to user interface

Classes

`Colors` | Macop color representation

class `macop.utils.progress.``Colors`

  Macop color representation

`macop.utils.progress.``macop_line`(algo)

  Macop split line

  Parameters

    algo – {Algorithm} – current algorithm instance

`macop.utils.progress.``macop_progress`(algo, evaluations, max)

  Progress line of macop

  Parameters

    - algo – {Algorithm} – current algorithm instance

    - evaluations – {int} – current number of evaluations

    - max – {int} – max number of expected evaluations

`macop.utils.progress.``macop_text`(algo, msg)

  Display Macop message to user interface

  Parameters

    - algo – {Algorithm} – current algorithm instance

    - msg – {str} – message to display